Subject: Re: PROBLEM: kernel lockup while changing TC rules

From: Jan 'yanek' Bortl <[email-masked]>
Date: Sat, 03 May 2008 14:42:24 +0200

Jarek Poplawski wrote:
> On Sat, May 03, 2008 at 11:43:46AM +0200, Jan 'yanek' Bortl wrote:
>> Jarek Poplawski wrote:
>>> Jan 'yanek' Bortl wrote, On 05/01/2008 05:49 PM:
>>>
>>>> Hi,
>>> Hi,
>>>> I have found this problem with today's git (2.6.25-00000-ge4c576b) and 2.6.25:
>>> Does this mean the bug triggers in 2.6.25 and later, but not in 2.6.24?
>>> If so, is it possible to reproduce this e.g. with 2.6.25-rc6?
>> I firstly discovered this on 2.6.22-6~bpo40+1 (debian's backports), but 
>> I'm not sure if that was same thing (it is long ago).
>>
>> Now i tested on test machine with these kernels:
>> 2.6.24, 2.6.24.6  
>> (http://ya.bofh.cz/archive/kernel-2.6-htbcrash/2/netconsole-2.6.24.6-slon.txt), 
>> 2.6.25
>>
>> I can test anything you want.
> 
> Great! I really appreciate! You're very helpful in catching this rare
> bug. Alas, there is still nothing obvious at least to me, so I need
> more time for any idea...
> 
> BTW, one little doubt: are you really sure vanilla 2.6.24 (without .6
> etc.) gives the same? (There were some changes backported from 2.6.25
> which I'd like to exclude.)

Yes. http://ya.bofh.cz/archive/kernel-2.6-htbcrash/3/netconsole.txt
(config: http://ya.bofh.cz/archive/kernel-2.6-htbcrash/3/config-2.6.24-slon2)

-- 
Jan 'yanek' Bortl <yanek [at] ya.bofh. cz>
http://ya.bofh.cz/ | jab: yanek [at] mitranet. cz
-----------------------------------------------------------------
"Maybe one day you will learn that your way is not the only way."
                                         Opher [StarGate: The Nox]